package com.liang.controller;

import com.liang.entity.BaseParty;
import com.liang.service.BasePartyService;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;

/**
 * (BaseParty)表控制层
 *
 * @author makejava
 * @since 2023-02-15 23:13:14
 */
@RestController
@RequestMapping("baseParty")
public class BasePartyController {
    /**
     * 服务对象
     */
    @Resource
    private BasePartyService basePartyService;

    /**
     * 分页查询
     *
     * @param baseParty   筛选条件
     * @param pageRequest 分页对象
     * @return 查询结果
     */
    @GetMapping
    public ResponseEntity<Page<BaseParty>> queryByPage(BaseParty baseParty, PageRequest pageRequest) {
        return ResponseEntity.ok(this.basePartyService.queryByPage(baseParty, pageRequest));
    }

    /**
     * 通过主键查询单条数据
     *
     * @param id 主键
     * @return 单条数据
     */
    @GetMapping("{id}")
    public ResponseEntity<BaseParty> queryById(@PathVariable("id") Integer id) {
        return ResponseEntity.ok(this.basePartyService.queryById(id));
    }

    /**
     * 新增数据
     *
     * @param baseParty 实体
     * @return 新增结果
     */
    @PostMapping
    public ResponseEntity<BaseParty> add(BaseParty baseParty) {
        return ResponseEntity.ok(this.basePartyService.insert(baseParty));
    }

    /**
     * 编辑数据
     *
     * @param baseParty 实体
     * @return 编辑结果
     */
    @PutMapping
    public ResponseEntity<BaseParty> edit(BaseParty baseParty) {
        return ResponseEntity.ok(this.basePartyService.update(baseParty));
    }

    /**
     * 删除数据
     *
     * @param id 主键
     * @return 删除是否成功
     */
    @DeleteMapping
    public ResponseEntity<Boolean> deleteById(Integer id) {
        return ResponseEntity.ok(this.basePartyService.deleteById(id));
    }

}

